/** \file
 *  \brief This file declares Bluetooth Low Energy bond list helper functions.
 *
 */

#ifndef COMM_BLE_BOND_H
#define COMM_BLE_BOND_H

#ifdef __cplusplus
extern "C" {
#endif

/* Preprocessor and Type Definitions */

/* Include Files */

/* Public Variables */

/* Public Functions */
void App_DisplayBondList(void);
void App_RemoveDevicesFromBondListBySW2Press(uint32_t seconds);
void App_RemoveDevicesFromBondList(void);
void App_SetRemoveBondListFlag(void);
bool App_IsRemoveBondListFlag(void);
bool App_IsDeviceInBondList(uint32_t bdHandle);
uint32_t App_GetCountOfBondedDevices(void);

#ifdef __cplusplus
}
#endif

#endif // COMM_BLE_BOND_H
